/**
 * Android Audio Recorder (Hyperloop)
 * This module tests the ContextCompat android module
 * @class Hyperloop.android.checkSelfPermission
 * @version 1.0.0
 * @author cenciso
 */
// Imports from Android SDK
var Manifest = require('android.Manifest');
var PackageManager = require('android.content.pm.PackageManager');
var ContextCompat = require('android.support.v4.content.ContextCompat');
var Activity = require('android.app.Activity');

/**
 * @method hasRecordPermissions
 * Validates audio record permissions
 * @return {Boolean}
 */
exports.hasRecordPermissions = function () {
	var currentActivity = new Activity(Ti.Android.currentActivity);
	var permission = ContextCompat.checkSelfPermission(currentActivity.getApplicationContext(), Manifest.permission.RECORD_AUDIO);
	if (permission == PackageManager.PERMISSION_GRANTED) {
		return true;
	} else if (permission == PackageManager.PERMISSION_DENIED) {
		return false;
	} else {
		console.warn(LOG_TAG, 'hasRecordPermissions returned ' + permission);
		return false;
	}
};